/* TDI Panorama for Kodak 1400 (1317x1035)  */
/* See PVCAM help file for more information */

script_begin( );
shutter_open( );      /* light is now falling on the CCD       */
clear_parallel( 5 );  /* make sure CCD is cleared out          */
clear_until_trig( );  /* clear until we acquire regular pulses */

loop_begin( 8965 );              /* 10,000 (full panorama) - 1035 (clean-up size) */
  expose_until_trig( );          /* readout each time we get a trigger pulse      */
  pixel_readout( 0,1317,1,1,1 ); /* read exactly 1 row, shift the rest over       */

loop_end( );

pixel_readout( 0,1317,1,1035,1 );  /* clean up: read the entire chip      */
pixel_display( 1317,10000 );       /* display as one huge panoramic image */
shutter_close( );
script_end( 0 );
