program Biggest ;
{ This example lists the size of all the desktop
  images and determines the largest byte size }

var
  Picture ;
  n ;
  xs,ys ;
  Mem ;
  Max ;

begin

{ check for images }
if GetNumImages = 0 then halt( 'This demo requires desktop images' ) ;

{ init }
GetFirstImage( Picture ) ;
Max := SizeOf( Picture ) ;
n := 1 ;

{ list image sizes }
while IsImage( Picture ) do
  begin
  GetXYSize( Picture,xs,ys ) ;
  Mem := SizeOf( Picture ) ;
  writeln( 'Image ',n,'  Size: ',xs,' x ',ys,'  Bytes: ',Mem ) ;
  if Mem > Max then
    Max := Mem ;
  GetNextImage( Picture ) ;
  n := n + 1 ;
  end;

{ write maximum byte size }
writeln ;
writeln( 'Maximum image size was ',Max,' bytes' ) ;

end.