program Palette ;
{ Display the stock palettes }

var
  Image ;
  SavePal ;

begin

{ Check for image(s) }
if GetNumImages = 0 then Halt( 'This script requires a desktop image!' ) ;

{ Choose one }
if SelectImage( 'Choose an image',Image ) = id_Cancel then Halt ;

{ Save old palette }
SavePal := GetPalette( Image ) ;

{ Try each palette in turn }
SetPalette( Image,pal_Red ) ;
SetPalette( Image,pal_Green ) ;
SetPalette( Image,pal_Blue ) ;
SetPalette( Image,pal_Cyan ) ;
SetPalette( Image,pal_Yellow ) ;
SetPalette( Image,pal_Magenta ) ;

{ Restore old palette }
SetPalette( Image,SavePal ) ;

end.