{ Plot Demo 2: More Basic plotting
  This demo shows a few more features like
  changing fonts and colors }

var
  Win ;   { Plot window }
  x ;     { x-axis data }
  Data1,
  Data2 ; { Data to plot }

begin

{ Create some data to plot }
x := MakeLinear( -2*pi,2*pi,200 ) ;
Data1 := cos( x ) ;
Data2 := sin( x ) ;

{ Create a new plot window }
Win := CreatePlot( 'MyPlot' ) ;
Clear( Win ) ;  { <- Just in case already exists }

{ Plot the data }
SetPlotColor( col_Red ) ;
PlotXY( Win,x,Data1 ) ;

SetPlotColor( col_Yellow ) ;
PlotXY( Win,x,Data2 ) ;

{ Add some labels etc }
SetTitleColor( Win,col_Blue ) ;
SetTitleFont( Win,'Courier New' ) ;
SetTitle( Win,'Trig Functions' ) ;

SetLabelColor( Win,col_Mustard ) ;
SetLabelStyle( Win,ts_Italic+ts_Bold ) ;
SetLabelFont( Win,'Times Roman' ) ;
SetXLabel( Win,'Here is the x-axis' ) ;
SetYLabel( Win,'Here is the y-axis' ) ;

end
