program Step6 ;

const
  xs = 128 ;
  ys = 128 ;

var
  Rand ;
  x, y ;
  xc, yc ;

begin

WriteStatus( 'Creating image and performing FFT' ) ;
Rand := CreateImage( byte,xs,ys ) ;
FillRandom( Rand ) ;
Rand := fft( Rand ) ;

WriteStatus( 'Zeroing low-frequency components' ) ;
xc := xs / 2 ;
yc := ys / 2 ;
for y := -2 to +2 do
  for x := -2 to +2 do
    Rand[ xc+x,yc+y ] := 0 ;

WriteStatus( 'Performing inverse FFT' ) ;
Rand := real( ifft( Rand ) ) ;
Show( Rand,'output' ) ;

end {Step6}


