program Thres ;
{ This example shows you how to create a binary
  threshold image by using images in comparison
  expressions. }

const
  Prompt = 'Select an image to threshold' ;
  Msg    = 'Enter threshold intensity value' ;

var
  Image ;
  Threshold ;
  BinImg ;

begin

{ check for images }
if GetNumImages = 0 then halt( 'This demo requires a desktop image' ) ;

{ select one of them }
SelectImage( Prompt,Image ) ;
if IsNull( Image ) then halt( 'No image was selected' ) ;

{ ask for a threshold value }
Threshold := 128 ;                 { this is the default value }
GetNumber( Msg,Threshold ) ;

{ create the thresholded image }
BinImg := ( Image >= Threshold ) ;
Show( BinImg,'binimg' ) ;

end.