{ Plot Demo 1: Basic plotting
  This demo shows how to create a plotting
  window and display some data }

var
  Win ;          { Plot window }
  xData,yData ;  { Data }

begin

{ Create some data to plot }
xData := MakeLinear( -2*pi,2*pi,200 ) ;
yData := cos( xData ) ;

{ Create a new plot window }
Win := CreatePlot( 'MyPlot' ) ;
Clear( Win ) ;  { <- Just in case already exists }

{ Plot the data }
Plot( Win,yData ) ;

{ Add some labels etc }
SetTitle( Win,'Cosine Function' ) ;
SetXLabel( Win,'Here is the x-axis' ) ;
SetYLabel( Win,'Here is the y-axis' ) ;

end
