program Setup ;
{ Setup a demonstration of the Mosaic script }

const
  File = 'c:\vwin\examples\images\casio.tif' ;

var
  Image ;

begin
  if Open( File,Image ) <> file_Ok then halt( 'Image file not found, ',File ) ;
  Show( Image,'casio' ) ;
  SetROI( Image,181,244,232,277 ) ;
  SetROI( Image,241,244,288,274 ) ;
  SetROI( Image,302,243,347,276 ) ;
  SetROI( Image,178,198,233,230 ) ;
  SetROI( Image,244,198,288,232 ) ;
  SetROI( Image,303,199,348,230 ) ;
  SetROI( Image,183,148,232,185 ) ;
  SetROI( Image,242,149,289,186 ) ;
  SetROI( Image,303,149,347,184 ) ;
  SetROI( Image,358,149,404,185 ) ;
  SetROI( Image,358,198,405,230 ) ;
  SetROI( Image,361,244,405,276 ) ;
  SetROI( Image,392,291,433,326 ) ;
  SetROI( Image,301,291,348,326 ) ;
  SetROI( Image,128,246,173,278 ) ;
  SetROI( Image,69,244,121,279 ) ;
  SetROI( Image,67,289,119,325 ) ;
  SetROI( Image,124,290,170,327 ) ;
  WriteInfo( 'Now run MOSAIC.V to layout the selected areas' ) ;
end.